Get one image
curl --request GET \
--url https://api.kameleoon.com/images/{imageId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kameleoon.com/images/{imageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kameleoon.com/images/{imageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"altText": "<string>",
"baseColor": 123,
"colorDepth": 123,
"createdById": 123,
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"fileName": "<string>",
"fileWeight": 123,
"format": "PNG",
"height": 123,
"id": 123,
"keywords": [
"<string>"
],
"name": "<string>",
"path": "<string>",
"shared": true,
"siteId": 123,
"size": 123,
"source": "<string>",
"sourceUrl": "<string>",
"tags": [
"<string>"
],
"width": 123
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}Image
Get one image
Get image with this associated Id. To use optionalFields check out this guide.
GET
/
images
/
{imageId}
Get one image
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
OK
Image base color
Account Id of the image uploader
Date the image was uploaded
Image file name
Image file size in KB
Image format (formats accepted: JPG, JPEG, PNG, GIF, WEBP, SVG, MVG)
Available options:
PNG, JPEG, GIF, SVG, MVG, WEB Image height in pixels
Unique Id of the image
Keyword(s) associated with the image
Image name
Image path
Indicates if the image has been shared
Unique Id of the site your project is associated with
Image size in bytes. Image file size should be maximum 5242880 bytes
Image source
URL or the image source
Image width in pixels
Was this page helpful?
⌘I